TokenException (Groovy 2.4.6)
Date: 2016-02-18

org.codehaus.groovy.syntax

## Class TokenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.SyntaxException
        - - org.codehaus.groovy.syntax.TokenException

- All Implemented Interfaces:
    Serializable, GroovyExceptionInterface
  Direct Known Subclasses:
    ParserException, TokenMismatchException

      public class TokenException
      extends SyntaxException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenException(String message, Throwable cause, int line, int column)`
    `TokenException(String message, Throwable cause, int line, int column, int endLine, int endColumn)`
    `TokenException(String message, Token token)`

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

      `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

    - ### Methods inherited from class org.codehaus.groovy.GroovyException

      `isFatal, setFatal`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenException

          public TokenException(String message,
                        Token token)

    - #### TokenException

          public TokenException(String message,
                        Throwable cause,
                        int line,
                        int column)

    - #### TokenException

          public TokenException(String message,
                        Throwable cause,
                        int line,
                        int column,
                        int endLine,
                        int endColumn)